Package org.h2.constraint

# Enum Class Constraint.Type

java.lang.Object
java.lang.Enum<Constraint.Type>
org.h2.constraint.Constraint.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Constraint.Type>`, `Constable`

Enclosing class:
  `Constraint`

public static enum Constraint.Type extends Enum<Constraint.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHECK`
The constraint type for check constraints.
`DOMAIN`
The constraint type for domain constraints.
`PRIMARY_KEY`
The constraint type for primary key constraints.
`REFERENTIAL`
The constraint type for referential constraints.
`UNIQUE`
The constraint type for unique constraints.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSqlName()`
Get standard SQL type name.
`boolean`
`isCheck()`
Tests whether this type is a check or domain type or not.
`boolean`
`isUnique()`
Tests whether this type is a primary key or unique or not.
`static Constraint.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Constraint.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHECK

public static final Constraint.Type CHECK
The constraint type for check constraints.

### PRIMARY_KEY

public static final Constraint.Type PRIMARY_KEY
The constraint type for primary key constraints.

### UNIQUE

public static final Constraint.Type UNIQUE
The constraint type for unique constraints.

### REFERENTIAL

public static final Constraint.Type REFERENTIAL
The constraint type for referential constraints.

### DOMAIN

public static final Constraint.Type DOMAIN
The constraint type for domain constraints.

## Method Details

### values

public static Constraint.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Constraint.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSqlName

public String getSqlName()
Get standard SQL type name.

Returns:
  standard SQL type name

### isCheck

public boolean isCheck()
Tests whether this type is a check or domain type or not.

Returns:
  `true` if this type is a check or a domain type, `false` otherwise

### isUnique

public boolean isUnique()
Tests whether this type is a primary key or unique or not.

Returns:
  `true` if this type is a primary key or unique type, `false` otherwise